dots.v2.genAi.agents.byAgent_uuId().child_agents.byChild_agent_uuid().post()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.genAi.agents.byAgent_uuId(agent_uuId).child_agents.byChild_agent_uuid(child_agent_uuid).post(body: ApiLinkAgentInputPublic, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiLinkAgentOutput>Description
To add an agent route to an agent, send a POST request to /v2/gen-ai/agents/{parent_agent_uuid}/child_agents/{child_agent_uuid}.
Parameters
Path Parameters
agent_uuIdstring requiredExample:
"123e4567-e89b-12d3-a456-426614174000"A unique identifier for the parent agent.
child_agent_uuidstring requiredExample:
"123e4567-e89b-12d3-a456-426614174000"Routed agent id
Request Body
childAgentUuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"Routed agent id
ifCasestring optionalExample:
"use this to get weather information"parentAgentUuidstring optionalExample:
"12345678-1234-1234-1234-123456789012"A unique identifier for the parent agent.
routeNamestring optionalExample:
"weather_route"Name of route
Request Sample
Response Example
More Information
See /v2/gen-ai/agents/{parent_agent_uuid}/child_agents/{child_agent_uuid} in the API reference for additional detail on responses, headers, parameters, and more.